<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema" version="2.0">

	<!-- 
        Feuille de Style pour l'affichage détaillée d'une ligne de train
		en format HTML
       
        auteur : Matthias Colin
        version : 1.0 (3/2/2012)
		
		NB : les détails de présentation (CSS ou pas) ne sont pas importants
		dans cet exercice
	-->

	<xsl:output method="html" encoding="utf-8" standalone="yes" />

	<!-- main template -->
	<xsl:template match="Ligne">
		<html>
			<head>
			</head>
			<body>

				<h1>Ligne de Train : <xsl:value-of select="@nom" /></h1>

				<table border="1">
				<!-- la liste des gares terminus -->
				<tr><th>Gares terminus</th></tr>
				<xsl:for-each select="ListeGares/GareTerminus" >
					<tr><td><xsl:value-of select="@nom" /></td></tr>
				</xsl:for-each>
				<!-- la liste des gares simples -->
				<tr><th>Gares simples</th></tr>
				<xsl:for-each select="ListeGares/Gare" >
					<tr><td><xsl:value-of select="@nom" /></td></tr>
				</xsl:for-each>
				</table>
				
				<!-- la liste des trains -->
				<table border="1">
				<tr><th colspan="7">Trains</th></tr><tr><th>Type</th><th>Numéro</th><th>Ville 1</th>
					<th>Heure 1</th><th>Ville 2</th><th>Heure 2</th><th>Etapes</th></tr>

				<xsl:apply-templates select="ListeTrains/Train" />
				
				</table>

			</body>
		</html>
	</xsl:template>

	<!-- template pour un train -->
	<xsl:template match="Train">
		<tr><td><xsl:value-of select="@type" />
			</td><td><xsl:value-of select="@num" /></td>
			<td><xsl:value-of select="Depart/@gare"/></td>
			<td><xsl:value-of select="Depart/@heure"/></td>
			<td><xsl:value-of select="Destination/@gare"/></td>
			<td><xsl:value-of select="Destination/@heure"/></td>
			<td><xsl:choose>
					<xsl:when test="not(Arret)">(Ligne Directe)</xsl:when>
					<xsl:otherwise>
						<table>
							<xsl:for-each select="Arret">
								<tr><td width="200px"><xsl:value-of select="@gare"/></td>
								    <td width="80px" align="right"><xsl:value-of select="@arrivee"/></td>
									<td width="80px" align="right"><xsl:value-of select="@depart"/></td>
								</tr>
							</xsl:for-each>
						</table>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>
